> For the complete documentation index, see [llms.txt](https://docs.validationcloud.io/staking/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.validationcloud.io/staking/ethereum/staking-tutorial/api/prerequisites.md).

# Prerequisites

This setup requires having Node.js, installing some packages and exporting environment variables needed to authenticate and pay for the Ethereum deposit.

## NodeJS and NPM Packages

* ethers
* auth0

```bash
npm install ethers
npm install auth0
```

## Wallet Key

* The private key associated with your wallet, loaded up with 32 ETH, or more, to create at least 1 validator
* Note: If ETH mainnet, we do not recommend using a plain text private key.

## Auth0 Client ID and Client Secret

* For now, please reach out via our contact form to retrieve these credentials for your account

After obtaining Validation Cloud Client ID and Secret. You can export the environment variables needed for the subsequent code steps.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.validationcloud.io/staking/ethereum/staking-tutorial/api/prerequisites.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
